Commit ebd0e986 authored by Till Brehm's avatar Till Brehm

Added PHP 7 check in installer and updater.

parent 9bde45bd
......@@ -102,6 +102,11 @@ $dist = get_distname();
if($dist['id'] == '') die('Linux distribution or version not recognized.');
//** Check the PHP Version
if (version_compare(PHP_VERSION, '7.0.0') >= 0) {
die('PHP 7 is not supported by ISPConfig 3.0.5. Plesae use ISPConfig version 3.1 instead.');
}
//** Include the autoinstaller configuration (for non-interactive setups)
error_reporting(E_ALL ^ E_NOTICE);
......
......@@ -107,6 +107,11 @@ unset($conf);
if($dist['id'] == '') die('Linux distribution or version not recognized.');
//** Check the PHP Version
if (version_compare(PHP_VERSION, '7.0.0') >= 0) {
die('PHP 7 is not supported by ISPConfig 3.0.5. Plesae use ISPConfig version 3.1 instead.');
}
//** Include the autoinstaller configuration (for non-interactive setups)
error_reporting(E_ALL ^ E_NOTICE);
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment